| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Static Protected Member Functions | List of all members
InputFileError Class Reference

Error thrown for problems processing information contained in an AnyMap or AnyValue. More...

`#include <AnyMap.h>`

Inheritance diagram for InputFileError:
[legend]

## Detailed Description

Error thrown for problems processing information contained in an AnyMap or AnyValue.

This class uses the file, line, and column information stored in an AnyMap or AnyValue to provide an error message including context lines for the original user input.

Definition at line 737 of file AnyMap.h.

## Public Member Functions
template<typename... Args>
| InputFileError (const string &procedure, const AnyBase &node, const string &message, const Args &... args)
| Indicate an error occurring in `procedure` while using information from `node`.
template<typename... Args>
| InputFileError (const string &procedure, const AnyBase &node1, const AnyBase &node2, const string &message, const Args &... args)
| Indicate an error occurring in `procedure` while using information from `node1` and `node2`.
string | getClass () const override
| Method overridden by derived classes to indicate their type.
Public Member Functions inherited from CanteraError
template<typename... Args>
| CanteraError (const string &procedure, const string &msg, const Args &... args)
| Normal Constructor for the CanteraError base class.
virtual | ~CanteraError () throw ()
| Destructor for base class does nothing.
const char * | what () const override throw ()
| Get a description of the error.
virtual string | getMessage () const
| Method overridden by derived classes to format the error message.
virtual string | getMethod () const
| Get the name of the method that threw the exception.

## Static Protected Member Functions
static string | formatError (const string &message, int line, int column, const shared_ptr< AnyMap > &metadata)
static string | formatError2 (const string &message, int line1, int column1, const shared_ptr< AnyMap > &metadata1, int line2, int column2, const shared_ptr< AnyMap > &metadata2)

## Additional Inherited Members
Protected Member Functions inherited from CanteraError
| CanteraError ()
| Protected default constructor discourages throwing errors containing no information.
| CanteraError (const string &procedure)
| Constructor used by derived classes that override getMessage()
Protected Attributes inherited from CanteraError
string | procedure_
| The name of the procedure where the exception occurred.
string | formattedMessage_
| Formatted message returned by what()

## Constructor & Destructor Documentation

## ◆ InputFileError() [1/2]

template<typename... Args>

InputFileError | ( | const string & | procedure,
|  | const AnyBase & | node,
|  | const string & | message,
|  | const Args &... | args
| ) |  |
| inline

Indicate an error occurring in `procedure` while using information from `node`.

The `message` and `args` are processed as in the CanteraError class.

Definition at line 744 of file AnyMap.h.

## ◆ InputFileError() [2/2]

template<typename... Args>

InputFileError | ( | const string & | procedure,
|  | const AnyBase & | node1,
|  | const AnyBase & | node2,
|  | const string & | message,
|  | const Args &... | args
| ) |  |
| inline

Indicate an error occurring in `procedure` while using information from `node1` and `node2`.

The `message` and `args` are processed as in the CanteraError class.

Definition at line 758 of file AnyMap.h.

## Member Function Documentation

## ◆ getClass()

string getClass | ( |  | ) | const
| inline override virtual

Method overridden by derived classes to indicate their type.

Reimplemented from CanteraError.

Definition at line 770 of file AnyMap.h.

## ◆ formatError()

string formatError | ( | const string & | message,
|  | int | line,
|  | int | column,
|  | const shared_ptr< AnyMap > & | metadata
| ) |  |
| static protected

Definition at line 1884 of file AnyMap.cpp.

## ◆ formatError2()

string formatError2 | ( | const string & | message,
|  | int | line1,
|  | int | column1,
|  | const shared_ptr< AnyMap > & | metadata1,
|  | int | line2,
|  | int | column2,
|  | const shared_ptr< AnyMap > & | metadata2
| ) |  |
| static protected

Definition at line 1898 of file AnyMap.cpp.

The documentation for this class was generated from the following files:

- AnyMap.h
- AnyMap.cpp